<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.mortals</groupId>
		<artifactId>mortals-common</artifactId>
		<version>1.1.7-SNAPSHOT</version>
	</parent>

	<groupId>com.mortals.xhx</groupId>
	<artifactId>workflow-platform</artifactId>
	<version>1.0.0-SNAPSHOT</version>
	<packaging>pom</packaging>

	<modules>
		<module>common-lib</module>
		<module>workflow-manager</module>
		<module>workflow-engine</module>
	</modules>

	<properties>
		<!-- 默认值 -->

		<common-lib.version>0.0.1-SNAPSHOT</common-lib.version>
		<flowable.version>6.6.0</flowable.version>
		<protobuf.java.version>3.11.1</protobuf.java.version>

		<profiles.server.debug></profiles.server.debug>
		<profiles.server.port>19211</profiles.server.port>
		<profiles.log.path>/home/mortals/app/logs</profiles.log.path>
		<profiles.log.level>info</profiles.log.level>
		<profiles.publish.path>/home/publish</profiles.publish.path>
		<profiles.filepath>/mortals/app/data</profiles.filepath>
		<profiles.nacos.server-addr>192.168.0.250:8848</profiles.nacos.server-addr>
		<profiles.nacos.namespace>stp</profiles.nacos.namespace>
		<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
		<package.environment>build</package.environment>
	</properties>


	<profiles>
		<profile>
			<id>develop</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<profiles.active>develop</profiles.active>
			</properties>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<profiles.active>test</profiles.active>
			</properties>
		</profile>
		<profile>
			<id>product</id>
			<properties>
				<profiles.active>product</profiles.active>

			</properties>
		</profile>

		<profile>
			<id>ai</id>
			<properties>
				<profiles.active>ai</profiles.active>
				<profiles.nacos.server-addr>192.168.0.250:8848</profiles.nacos.server-addr>
				<profiles.nacos.namespace>ai-gov</profiles.nacos.namespace>
				<profiles.nacos.group>DEFAULT_GROUP</profiles.nacos.group>
			</properties>
		</profile>
	</profiles>



	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.mortals.xhx</groupId>
				<artifactId>common-lib</artifactId>
				<version>${common-lib.version}</version>
			</dependency>

			<dependency>
				<groupId>org.flowable</groupId>
				<artifactId>flowable-spring-boot-starter-basic</artifactId>
				<version>${flowable.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>


	<dependencies>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-redis</artifactId>
			<exclusions>
				<exclusion>
					<groupId>org.springframework.data</groupId>
					<artifactId>spring-data-redis</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<!-- 引入 Spring Cloud Alibaba Nacos Config 相关依赖，将 Nacos 作为配置中心，并实现对其的自动配置 -->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
		</dependency>
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
		</dependency>

	</dependencies>

	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*</include>
				</includes>
				<filtering>true</filtering>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<configuration>
					<delimiters>@</delimiters>
					<useDefaultDelimiters>false</useDefaultDelimiters>
				</configuration>
			</plugin>
		</plugins>
	</build>


</project>